/*
 * key.h - a header file for key.c
 * by Hirotsugu Kakugawa
 */
/*
 * Copyright (C) 1996-1997 Hirotsugu Kakugawa. 
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  
 */

#define KEYMAP_UNKNOWN      0
#define KEYMAP_EMACS        1
#define KEYMAP_VI           2

#define SCROLL_DELTA_H     5   /* percent */
#define SCROLL_DELTA_V     5   /* percent */
#define SCROLL_DELTA_H2   20   /* percent */
#define SCROLL_DELTA_V2   20   /* percent */
#define SCROLL_LEFTMOST    -10000L
#define SCROLL_RIGHTMOST   +10000L
#define SCROLL_TOP         -10000L
#define SCROLL_BOTTOM      +10000L

extern void  key_command(XEvent*);
extern void  key_reset(void);
extern int   key_parse_keymap_name(char*);

/*EOF*/
